data "openstack_networking_secgroup_v2" "beat_secgroup" {
    name = "${var.competition_name} Beat Secgroup"
}

data "openstack_networking_secgroup_v2" "choco_secgroup" {
    name = "${var.competition_name} Choco Secgroup"
}

data "openstack_networking_secgroup_v2" "ctf_secgroup" {
    name = "${var.competition_name} CTF Secgroup"
}

data "openstack_networking_secgroup_v2" "deploy_secgroup" {
    name = "${var.competition_name} Deploy Secgroup"
}

data "openstack_networking_secgroup_v2" "dns_secgroup" {
    name = "${var.competition_name} DNS Secgroup"
}

data "openstack_networking_secgroup_v2" "phone_secgroup" {
    name = "${var.competition_name} Phone Secgroup"
}

data "openstack_networking_secgroup_v2" "game_secgroup" {
    name = "${var.competition_name} Game Secgroup"
}

data "openstack_networking_secgroup_v2" "scorestack_secgroup" {
    name = "${var.competition_name} Scorestack Secgroup"
}

data "openstack_networking_secgroup_v2" "store_secgroup" {
    name = "${var.competition_name} Store Secgroup"
}

data "openstack_networking_secgroup_v2" "logging_secgroup" {
    name = "${var.competition_name} Logging Secgroup"
}

data "openstack_networking_secgroup_v2" "vpn_internal_secgroup" {
    name = "${var.competition_name} VPN Internal Secgroup"
}

data "openstack_networking_secgroup_v2" "vpn_external_secgroup" {
    name = "${var.competition_name} VPN External Secgroup"
}

data "openstack_networking_secgroup_v2" "null_secgroup" {
    name = "${var.competition_name} Null Secgroup"
}

locals {
    secgroups = {
        "beat": data.openstack_networking_secgroup_v2.beat_secgroup.id
        "choco": data.openstack_networking_secgroup_v2.choco_secgroup.id
        "ctf": data.openstack_networking_secgroup_v2.ctf_secgroup.id
        "deploy": data.openstack_networking_secgroup_v2.deploy_secgroup.id
        "dns": data.openstack_networking_secgroup_v2.dns_secgroup.id
        "game": data.openstack_networking_secgroup_v2.game_secgroup.id
        "scorestack": data.openstack_networking_secgroup_v2.scorestack_secgroup.id
        "store": data.openstack_networking_secgroup_v2.store_secgroup.id
        "phone": data.openstack_networking_secgroup_v2.phone_secgroup.id
        "logging": data.openstack_networking_secgroup_v2.logging_secgroup.id
        "vpn_internal": data.openstack_networking_secgroup_v2.vpn_internal_secgroup.id
        "vpn_external": data.openstack_networking_secgroup_v2.vpn_external_secgroup.id
        "null": data.openstack_networking_secgroup_v2.null_secgroup.id
    }
}
