// Meta
variable "project_id" {
    description = "Parent project id for the whole competition"
    type = string
}

variable "competition_domain" {
    description = "Domain for whole competition"
    type = string
}

variable "competition_name" {
    description = "The name of the competition e.g. ISTS"
    type = string
}

variable "core_router" {
    description = "UUID of core router"
    type = string
}

variable "external_network" {
    description = "External Network UUID"
}

// VMs
variable "hosts" {
    description = "Map of management VM details hostname:vars"
    type = map
}

// VPN
variable "vpn" {
    description = "VPN host details"
    type = map
}