// Global Variable
variable "username" {
    description = "Openstack username"
    type = string
}

variable "password" {
    description = "Openstack password"
    type = string
}

variable "auth_url" {
    description = "Openstack authentication url"
    type = string
}

//Competition Specific Variables
variable "project_name" {
    description = "Project name for everything"
    type = string
}

variable "competition_name" {
    description = "The name of the competition e.g. ISTS"
    type = string
}

variable "competition_domain" {
    description = "Domain for the competition"
    type = string
}

//Project Sepecific Variables 
variable "num_teams" {
    description = "Number of teams to provision"
    type = number
    default =  1
}
