// Meta
variable "provider_info" {
    description = "Information passed to provider block"
    type = map
}

variable "competition_name" {
    description = "Name of the competition (e.g. ISTS)"
    type = string
}

variable "competition_domain" {
    description = "Domain for whole competition"
    type = string
}

variable "team_num" {
    description = "Team number"
    type = number
}

// For Router
variable "router" {
    description = "Router variables"
    type = map
}

// For VMs
variable "hosts" {
    description = "Map of VM details hostname:vars"
    type = map
}

// tags
variable "inherited_tags" {
    description = "Tags for Instances"
    type = set(string)
}