// Globals
variable "user_name" {
    description = "Openstack username"
    type = string
}

variable "password" {
    description = "Openstack password"
    type = string
}

variable "auth_url" {
    description = "Openstack authentication url"
    type = string
}

variable "tenant_name" {
    description = "Openstack project name"
    type = string
}

variable "competition_name" {
    description = "Name of the competition (e.g. ISTS)"
    type = string
}

variable "competition_domain" {
    description = "Domain for the competition"
    type = string
}

variable "team_num" {
    description = "Number of team to provision"
    type = number
}

// tags
variable "inherited_tags" {
    description = "Tags for Instances"
    type = set(string)
}
