// These should be changed for every competition
locals {
    passwords = [
        # A good password will be two six letter words, separated by a dash, followed by a two digit number and !
        # EX: "crisis-banner-02!"
        # Make sure that there are as many passwords as there are teams
        "crisis-banner-01!",
        "buzzed-whizzo-02!",
        "fizzed-fuzzed-03!",
        "medusa-stoned-04!",
        "zigzag-paxwax-05!",
        "quippy-quokka-06!",
        "razzly-dazzly-07!",
        "razzia-jumpsy-08!",
        "squawk-jinxes-09!",
        "jugful-cliquy-10!",
        "khazen-kibitz-11!",
        "zapped-zipped-12!",
        "quirky-qawwal-13!",
        "bronzy-brawns-14!",
        "floozy-gabber-15!",
        "bonker-orange016!"
    ]
}

resource "openstack_identity_user_v3" "team_user" {
    count = var.num_teams
    default_project_id = openstack_identity_project_v3.team_project[count.index].id
    name = format("%s-team-%02d", lower(var.competition_name), count.index + 1)
    password = local.passwords[count.index]
}